[Deprecated]: V1.0
post
/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/kits
Deprecated: Use latest version instead. Creates a new kit type in a study.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Supported Media Types
- application/json
Root Schema : KitDto v1.0
Type:
objectTitle:
KitDto v1.0Kit details.
Show Source
-
distributionSetting: string
Kit distribution settingExample:
BLINDED -
dosage: number
(double)
Dosage.Example:
50 -
id: string
(uuid)
-
isDefault: boolean
Is kit default.Example:
true -
kitDescription: string
Kit descriptionExample:
ORS-123(IP 0.01%) -
kitid: string
(uuid)
Kit GUID
-
kitTypeId: string
Kit type id/nameExample:
Type -
minShipUnits: integer
(int64)
Min units to ship.Example:
5 -
storageSetting: string
Kit storage settingExample:
AMBIENT -
studyId: string
(uuid)
Study GUID
-
studyVersionEnd: string
(date-time)
Study version end
-
studyVersionStart: string
(date-time)
Study version start
-
trialSupplyType: string
Kit trial supply typeExample:
BOTTLE -
unitsPerKit: number
(double)
Units per kit.Example:
5 -
versionEnd: string
(date-time)
Version End
-
versionStart: string
(date-time)
Version Start
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : KitDto v1.0
Type:
objectTitle:
KitDto v1.0Kit details.
Show Source
-
distributionSetting: string
Kit distribution settingExample:
BLINDED -
dosage: number
(double)
Dosage.Example:
50 -
id: string
(uuid)
-
isDefault: boolean
Is kit default.Example:
true -
kitDescription: string
Kit descriptionExample:
ORS-123(IP 0.01%) -
kitid: string
(uuid)
Kit GUID
-
kitTypeId: string
Kit type id/nameExample:
Type -
minShipUnits: integer
(int64)
Min units to ship.Example:
5 -
storageSetting: string
Kit storage settingExample:
AMBIENT -
studyId: string
(uuid)
Study GUID
-
studyVersionEnd: string
(date-time)
Study version end
-
studyVersionStart: string
(date-time)
Study version start
-
trialSupplyType: string
Kit trial supply typeExample:
BOTTLE -
unitsPerKit: number
(double)
Units per kit.Example:
5 -
versionEnd: string
(date-time)
Version End
-
versionStart: string
(date-time)
Version Start
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object